# -*- coding: utf-8 -*-
# Copyright 2024 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from __future__ import annotations


import proto  # type: ignore


__protobuf__ = proto.module(
    package="google.ads.googleads.v18.enums",
    marshal="google.ads.googleads.v18",
    manifest={
        "CustomizerAttributeTypeEnum",
    },
)


class CustomizerAttributeTypeEnum(proto.Message):
    r"""Container for enum describing possible types of a customizer
    attribute.

    """

    class CustomizerAttributeType(proto.Enum):
        r"""The possible types of a customizer attribute.

        Values:
            UNSPECIFIED (0):
                The status has not been specified.
            UNKNOWN (1):
                The received value is not known in this
                version.
            TEXT (2):
                Text customizer.
            NUMBER (3):
                Number customizer.
            PRICE (4):
                Price customizer consisting of a number and a
                currency.
            PERCENT (5):
                Percentage customizer consisting of a number
                and a '%'.
        """

        UNSPECIFIED = 0
        UNKNOWN = 1
        TEXT = 2
        NUMBER = 3
        PRICE = 4
        PERCENT = 5


__all__ = tuple(sorted(__protobuf__.manifest))
