# -*- coding: utf-8 -*-
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from __future__ import annotations


import proto  # type: ignore


__protobuf__ = proto.module(
    package="google.ads.googleads.v20.enums",
    marshal="google.ads.googleads.v20",
    manifest={
        "AdStrengthActionItemTypeEnum",
    },
)


class AdStrengthActionItemTypeEnum(proto.Message):
    r"""Container for enumeration of ad strength action item types."""

    class AdStrengthActionItemType(proto.Enum):
        r"""Enumerates ad strength action item types.

        Values:
            UNSPECIFIED (0):
                Not specified.
            UNKNOWN (1):
                Used for return value only. Represents value
                unknown in this version.
            ADD_ASSET (2):
                This action item suggests adding an asset to
                the asset group.
        """

        UNSPECIFIED = 0
        UNKNOWN = 1
        ADD_ASSET = 2


__all__ = tuple(sorted(__protobuf__.manifest))
